CacheConfiguration Class
Caching settings for a caching-type route. To disable caching, do not provide a cacheConfiguration object.
- Inheritance
-
CacheConfiguration
Constructor
CacheConfiguration(*, query_string_caching_behavior: Optional[Union[str, azure.mgmt.cdn.models._cdn_management_client_enums.RuleQueryStringCachingBehavior]] = None, query_parameters: Optional[str] = None, is_compression_enabled: Optional[Union[str, azure.mgmt.cdn.models._cdn_management_client_enums.RuleIsCompressionEnabled]] = None, cache_behavior: Optional[Union[str, azure.mgmt.cdn.models._cdn_management_client_enums.RuleCacheBehavior]] = None, cache_duration: Optional[str] = None, **kwargs)
Variables
- query_string_caching_behavior
- str or RuleQueryStringCachingBehavior
Defines how Frontdoor caches requests that include query strings. You can ignore any query strings when caching, ignore specific query strings, cache every request with a unique URL, or cache specific query strings. Possible values include: "IgnoreQueryString", "UseQueryString", "IgnoreSpecifiedQueryStrings", "IncludeSpecifiedQueryStrings".
- query_parameters
- str
query parameters to include or exclude (comma separated).
- is_compression_enabled
- str or RuleIsCompressionEnabled
Indicates whether content compression is enabled. If compression is enabled, content will be served as compressed if user requests for a compressed version. Content won't be compressed on AzureFrontDoor when requested content is smaller than 1 byte or larger than 1 MB. Possible values include: "Enabled", "Disabled".
- cache_behavior
- str or RuleCacheBehavior
Caching behavior for the requests. Possible values include: "HonorOrigin", "OverrideAlways", "OverrideIfOriginMissing".
- cache_duration
- str
The duration for which the content needs to be cached. Allowed format is [d.]hh:mm:ss.
Feedback
Submit and view feedback for